import {GET_INFO_BY_UUID} from '@store/types/getInfoByUuid';
import { getUrlArgObject } from '@utils/tools';
const initPersonList = {
    
}

export default (state = initPersonList, action) => {
    if (action.type == GET_INFO_BY_UUID) {
        let newState = Object.assign({}, state);
        let tmpObj = {};
        action.data && action.data.map((item)=>{
            let key = item.icssField;
            let url = item.hisField;
            tmpObj[key] = getUrlArgObject(url)
        })
        newState = tmpObj;
        return newState;
    }
    return state;
}
